/****************************************************************************
**
** Copyright (C) 2006 Trolltech ASA. All rights reserved.
**
** This file is part of the documentation of Qt. It was originally
** published as part of Qt Quarterly.
**
** This file may be used under the terms of the GNU General Public License
** version 2.0 as published by the Free Software Foundation or under the
** terms of the Qt Commercial License Agreement. The respective license
** texts for these are provided with the open source and commercial
** editions of Qt.
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <QtCore/QUrl>
#include <QtGui/QLineEdit>
#include <QtGui/QToolButton>

#include "window.h"
#include "webwidget.h"

Window::Window()
{
    winId();
    setupUi(this);
    webWidget = new WebWidget(this);
    layout()->addWidget(webWidget);

    connect(backButton, SIGNAL(clicked()), webWidget, SLOT(goBackward()));
    connect(forwardButton, SIGNAL(clicked()), webWidget, SLOT(goForward()));
    connect(addressEdit, SIGNAL(returnPressed()), this, SLOT(processURL()));
}

void Window::processURL()
{
    if (addressEdit->text().isEmpty())
        return;

    qDebug("processing %s", qPrintable(addressEdit->text()));
    webWidget->setUrl(QUrl(addressEdit->text()));
}
